|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QInputEvent Class Reference
[QtGui module]

The QInputEvent class is the base class for events that describe user input. More...

     #include <QInputEvent>

Inherits QEvent.

Inherited by QContextMenuEvent, QKeyEvent, QMouseEvent, QTabletEvent, and QWheelEvent.

- List of all members, including inherited members

### Public Functions

- Qt::KeyboardModifiers modifiers () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QInputEvent class is the base class for events that describe user input.

## Member Function Documentation

### Qt::KeyboardModifiers QInputEvent::modifiers () const

Returns the keyboard modifier flags that existed immediately before the event occurred.

See also QApplication::keyboardModifiers().